Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ResDictionary Class Reference

`#include <resourceManager.h>`

## Public Member Functions
| ResDictionary ()
| ~ResDictionary ()
void | insert (ResourceObject *obj, StringTableEntry path, StringTableEntry file)
| Add a ResourceObject to the dictionary. More...
void | pushBehind (ResourceObject *obj, S32 mask)
| Move a previously added resource object to be in the list after everything that matches the specified mask. More...
void | remove (ResourceObject *obj)
| Remove a resource object from the dictionary. More...
Find
These functions search the hash table for an individual resource. If the resource has already been loaded, it will find the resource and return its object. If not, it will return NULL.
ResourceObject * | find (StringTableEntry path, StringTableEntry file)
ResourceObject * | find (StringTableEntry path, StringTableEntry file, StringTableEntry filePath, StringTableEntry fileName)
ResourceObject * | find (StringTableEntry path, StringTableEntry file, U32 flags)

## Detailed Description

Resource Dictionary.

Maps of names and object IDs to objects.

Provides fast lookup for name->object, id->object and for fast removal of an object given a pointer to it.

See also
  ResManager

## Constructor & Destructor Documentation

ResDictionary | ( |  | ) |

~ResDictionary | ( |  | ) |

## Member Function Documentation

ResourceObject * find | ( | StringTableEntry | path,
|  | StringTableEntry | file
| ) |  |

ResourceObject * find | ( | StringTableEntry | path,
|  | StringTableEntry | file,
|  | StringTableEntry | filePath,
|  | StringTableEntry | fileName
| ) |  |

ResourceObject * find | ( | StringTableEntry | path,
|  | StringTableEntry | file,
|  | U32 | flags
| ) |  |

void insert | ( | ResourceObject * | obj,
|  | StringTableEntry | path,
|  | StringTableEntry | file
| ) |  |

Add a ResourceObject to the dictionary.

void pushBehind | ( | ResourceObject * | obj,
|  | S32 | mask
| ) |  |

Move a previously added resource object to be in the list after everything that matches the specified mask.

void remove | ( | ResourceObject * | obj | ) |

Remove a resource object from the dictionary.

The documentation for this class was generated from the following files:

- io/resource/resourceManager.h
- io/resource/resourceDictionary.cc